Bug Hunting Session
Bug 86545 - Calc Sheet tabs and buttons should maybe be a little bit larger
Summary: Calc Sheet tabs and buttons should maybe be a little bit larger
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sheet-Tabs-Bar
  Show dependency treegraph
 
Reported: 2014-11-21 23:15 UTC by A (Andy)
Modified: 2019-12-13 07:01 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
resized to 200%..... (111.60 KB, image/png)
2014-12-21 17:29 UTC, Luuk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description A (Andy) 2014-11-21 23:15:36 UTC
I think that the sheet tabs and the buttons to the left of the sheet tabs should be a litte bit larger (at least or best the size should be selectable by the user), because it is a little bit tricky to select them.  Especially if you are an older person then I think it is quite difficult.  Even if you select the large icons (TOOLS -> OPTIONS -> VIEW) the buttons and sheet tabs are still small.

Tested with LO 4.3.4.1, 4.4.0.0.beta1.
Comment 1 Jacques Guilleron 2014-11-22 15:54:36 UTC
Hi Andy,

Did you try Scaling in Tools > Options > LibreOffice > View? It Seemed to me flexible enough.

Jacques
Comment 2 A (Andy) 2014-11-22 18:39:45 UTC
Hi Jacques,

Thank you very much for your fast reply.

Unfortunately, this does not work (probably another bug), because the sheet tabs ("Sheet1" etc.) and the arrow left to it are not increased.

/Andy
Comment 3 beimaginativeegroup 2014-12-21 15:50:08 UTC
I've tested it on RC1 (4.4) and the size of the buttons did change. Can you check?
Comment 4 Luuk 2014-12-21 17:29:51 UTC
Created attachment 111120 [details]
resized to 200%.....

as mentioned in the bug report, the controls do not 'size'.....
Comment 5 Luuk 2014-12-21 17:31:44 UTC
(In reply to Luuk from comment #4)
> Created attachment 111120 [details]
> resized to 200%.....
> 
> as mentioned in the bug report, the controls do not 'size'.....

my test was in Windows7, LO version 4.3.5.2
Comment 6 beimaginativeegroup 2014-12-21 18:31:38 UTC
Clarification: The 'Sheet' button text does resize but the other buttons do not. So confirming this for the other buttons.
Comment 7 tommy27 2015-10-17 08:16:57 UTC
those tabs and buttons have always been that size since OOo era
I suspect this applies to other O/S too, not only Windows
Comment 8 Luuk 2015-10-17 08:50:24 UTC
After reading this 'bug' again, 
I want to add, where does the 'bug' stop, 
and when does something become a feature request?

Adding a sheet is always possible via 'ALT+I', 'S'   (Insert/Sheet)
Moving between sheets is possible via 'CTRL+DOWN' or CTRL+UP'


I think status of this bug should be change to 'RESOLVED'
Comment 9 tommy27 2015-10-17 09:19:59 UTC
@Luuk
the bug is about having bigger button icons.
you can obviuosly use keyboard to do the same things those icons do, however the reporter specifically asked for bigger icons for user who wanna manually click those buttons.

so this enhancement request is still valid.
anyway I lower the priority from medium to low
Comment 10 Roman Kuznetsov 2018-12-13 11:40:38 UTC
IMHO it's wontfix now in 6.2, because sheet tabs were moved to location lower than horizontal scrollbar and option for scale of LibreOffice GUI was removed also
Comment 11 Luuk 2019-02-17 15:44:45 UTC
I would like to add a comment to this 'bug':
- I do think it a feature request.
- I do not think this feature request has a high chance for approval.
- It's not possible (via some user-interface-option) to change tha size of the 'sheet-tab-text', while it is possible to change the size of a lot of other things in the gui via 'Tools/Options/LibreOffice/View'

hmmmz, after typing above, I do see this bug is on status 'resolved/wontfix'...

;)
Comment 12 Luuk 2019-02-17 15:47:01 UTC
which remembers /me to never file a bug, or a comment to a bug, within a couple of days after re-installing thunderbird......

;)
Comment 13 Thomas Lendo 2019-08-29 21:52:59 UTC
I change the status from WONTFIX to UNCONFIRMED again as I think the core original request is still valid: The Calc sheet tabs don't respect a11y features for enlarged fonts.

And this is still true for the new sheet tabs visualation of Version: 6.3.0.4
Build ID: 057fc023c990d676a43019934386b85b21a9ee99
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-AT (de_AT.UTF-8); UI-Language: en-US

The scaling option was removed a while ago from the LibreOffice options dialog (was mentioned in comment 1).

I opened the Ubuntu options and activated 'Large text' in the Universal access settings. This OS setting didn't change the font size of the sheet tabs bar.

Can anybody confirm this for Windows and macOS?
Comment 14 Heiko Tietze 2019-10-29 11:53:59 UTC
Of course, text in tabs (and thereby the tab itself) should follow the system specification. A special option for just the sheet tab makes no sense, it rather adds confusion to our bulky options. SO yes to the bug (without having it tested) but the solution shouldn't involve changes to workflow and UI.
Comment 15 Xisco Faulí 2019-12-12 13:02:45 UTC
(In reply to Heiko Tietze from comment #14)
> Of course, text in tabs (and thereby the tab itself) should follow the
> system specification. A special option for just the sheet tab makes no
> sense, it rather adds confusion to our bulky options. SO yes to the bug
> (without having it tested) but the solution shouldn't involve changes to
> workflow and UI.

Moving to NEW then